<!DOCTYPE html>
<html>
<head>
	<title>HTML Activity</title>
</head>
	<body>
		<p>
			<em>
				Science and Engineering Ethics (2001) 7, 231-238
			</em></p>
			<hr>
		<h1><strong>Software Engineering Code of Ethics and Professional Practice</strong></h1>
		<br />	
		<h3>
			<strong>
			IEEE-CS/ACM Joint Task Force on Software Engineering Code of Ethics and Professional Practices
			</strong>
		</h3>
		<hr />	
		<p>
			<strong>Keywords:</strong>code of ethics, professional responsibility, software engineering
		</p>
		<h4>PREAMBLE</h4>
		<p>
			The short version of the code summarizes aspirations at a high level of abstraction.The clauses that are icluded in the full version give examples and details of how these aspirations change th way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspations can become high-sounding but empty; together,the  aspirations and the details form a cohesive code.
		</p>
		<p>
			Software engineers shall commit themselves to making the analysis, specifications design,devlopment,, testing, and maintenance of software a beneficial an respected profession.in accordance with their commitment to the health, safety, and welfare of the public,software engineers shall ahere to the following eigth Principles:
		</p>
		<h4>PRINCIPLES</h4>
		<ol>
			<li><em>Public.</em> Software engineers shall act consistently with the public interest. </li>
			<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with he public interest. </li>
			<li><em>Product.</em> Software engineers shall ensure that their products and realted modifications meet the highest professional standards possible. </li>
			<li><em>Judgement.</em> Software engineers shall maintain integrity and idependence in their professional judgement. </li>
			<li><em>Management.</em> Software engineering manages and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance. </li>
			<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent withe public interest. </li>
			<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues. </li>
			<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the pracice of the profession. </li>


		</ol>


	</body>
</html>